Bug 165497 - Review Request: dumpasn1 - ASN.1 object dump utility
Summary: Review Request: dumpasn1 - ASN.1 object dump utility
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christian Iseli
QA Contact: David Lawrence
URL: http://www.cs.auckland.ac.nz/~pgut001/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-08-09 21:03 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 18:57:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2005-08-09 21:03:33 UTC
http://cachalot.mine.nu/4/SRPMS/dumpasn1-20050404-0.1.src.rpm

dumpasn1 is an ASN.1 object dump program that will dump data encoded
using any of the ASN.1 encoding rules in a variety of user-specified
formats.

Comment 1 Christian Iseli 2005-08-15 18:57:31 UTC
Good:
- rpmlint is happy
- name ok
- spec name ok
- packaging guidelines met
- license ok
- license matches actual license in package
- license file in %doc
- spec file in American English
- spec file legible
- source matches upstream
- locale handling ok
- BuildRequires ok
- builds, installs, runs, and uninstalls cleanly
- builds in mock

  Minor nit: there are a few warnings, but nothing serious.

- files stuff: ok
- clean section ok
- macro useage pretty ok

  Minor nit: in Source0, Source1, and Patch0 you sometimes use %{name}
  and sometime use dumpasn1 directly.  I think you should use %{name}
  everywhere...

- package contains code
- %doc is only doc

Approved.

Cheers,
                                        Christian

Comment 2 Ville Skyttä 2005-08-15 20:43:07 UTC
Thanks for the review.  Macro usage tweaked a bit in CVS, devel built  
successfully, will request a FC-4 branch in a jiffy and a build later. 

Comment 3 Christian Iseli 2005-08-15 21:16:51 UTC
You are welcome.  BTW, forgot to ask:  Is there any reason for the CC="%{__cc}"
on the make line ?


Comment 4 Ville Skyttä 2005-08-16 06:17:03 UTC
Not really, I think it's a relic from the times I first did this package and 
the Debian patch was not yet applied (ie. no Makefile). 


Note You need to log in before you can comment on or make changes to this bug.